### Method

# Clutter Path add_curve_to

#### Declaration [src]

    void
    clutter_path_add_curve_to (
      ClutterPath* path,
      gint x_1,
      gint y_1,
      gint x_2,
      gint y_2,
      gint x_3,
      gint y_3
    )

#### Description [src]

Adds a `CLUTTER_PATH_CURVE_TO` type node to the path. This causes the actor to follow a bezier from the last node to (`x_3`, `y_3`) using (`x_1`, `y_1`) and (`x_2`,`y_2`) as control points.

#### Parameters

`x_1`

  Type: `gint`

  The x coordinate of the first control point.

`y_1`

  Type: `gint`

  The y coordinate of the first control point.

`x_2`

  Type: `gint`

  The x coordinate of the second control point.

`y_2`

  Type: `gint`

  The y coordinate of the second control point.

`x_3`

  Type: `gint`

  The x coordinate of the third control point.

`y_3`

  Type: `gint`

  The y coordinate of the third control point.